#
# spec file for package python-colorspacious
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python36 1
Name:           python-colorspacious
Version:        1.1.2
Release:        2.15
Summary:        Python library for doing colorspace conversions
License:        MIT
URL:            https://github.com/njsmith/colorspacious
Source:         https://files.pythonhosted.org/packages/source/c/colorspacious/colorspacious-%{version}.tar.gz
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-numpy
BuildArch:      noarch
%python_subpackages

%description
Colorspacious is a library for performing colorspace conversions.

In addition to the most common standard colorspaces (sRGB, XYZ, xyY,
CIELab, CIELCh), it also includes color vision deficiency ("color
blindness") simulations using the approach of Machado et al (2009), a
complete implementation of CIECAM02
<https://en.wikipedia.org/wiki/CIECAM02>, and the perceptually
uniform CAM02-UCS / CAM02-LCD / CAM02-SCD spaces proposed by Luo et al
(2006).

%prep
%setup -q -n colorspacious-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# no tests present

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Wed Apr 21 2021 Steve Kowalik <steven.kowalik@suse.com>
- Do not build for Python 3.6, due to no NumPy.
* Thu Mar  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1.2:
  * Reference article that colorspacious (and other libraries) was using as a
    source for the CIECAM02Surround.DIM constant values was itself incorrect.
    It has now been corrected, and verified against CIE 159:2004.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jun  7 2018 jengelh@inai.de
- Remove filler wording from description.
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Wed Jan 17 2018 toddrme2178@gmail.com
- Initial version
